org.apache.cassandra.db

## Class RowMutation.RowMutationSerializer

- java.lang.Object
- - org.apache.cassandra.db.RowMutation.RowMutationSerializer

- All Implemented Interfaces:
    IVersionedSerializer<RowMutation>
  Enclosing class:
    RowMutation

      public static class RowMutation.RowMutationSerializer
      extends java.lang.Object
      implements IVersionedSerializer<RowMutation>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowMutation.RowMutationSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RowMutation` | `deserialize(java.io.DataInput dis, int version)` Deserialize into the specified DataInputStream instance.
    `RowMutation` | `deserialize(java.io.DataInput dis, int version, IColumnSerializer.Flag flag)`
    `void` | `serialize(RowMutation rm, java.io.DataOutput dos, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(RowMutation rm, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowMutation.RowMutationSerializer

          public RowMutation.RowMutationSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(RowMutation rm,
                       java.io.DataOutput dos,
                       int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<RowMutation>`
      Parameters:
        `rm` - type that needs to be serialized
        `dos` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException`

    - #### deserialize

          public RowMutation deserialize(java.io.DataInput dis,
                                int version,
                                IColumnSerializer.Flag flag)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public RowMutation deserialize(java.io.DataInput dis,
                                int version)
                                  throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<RowMutation>`
      Parameters:
        `dis` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(RowMutation rm,
                            int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<RowMutation>`
      Parameters:
        `rm` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2014 The Apache Software Foundation